package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProTablesDAO;
import com.philisense.www.mapper.ProTablesMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class ProTablesDAOImpl implements ProTablesDAO {
        @Autowired
        private ProTablesMapper proTablesMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proTablesMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proTablesMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proTablesMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proTablesMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proTablesMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proTablesMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proTablesMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proTablesMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proTablesMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proTablesMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proTablesMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proTablesMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proTablesMapper.updateBatch(list);
        }
}
